﻿@model AddEditCurrencyTypeViewModel

@Html.Style(@<link href="~/Plugins/jasny-bootstrap/css/jasny-bootstrap.min.css" rel="stylesheet" />)
@Html.Style(@<link href="~/Plugins/select2/dist/css/select2.min.css" rel="stylesheet" />)

<div class="col-12">
    <div class="box box-info">
        <div class="box-header with-border">
            <h4 class="box-title">@ViewBag.Title</h4>
        </div>
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-horizontal">
            <div class="box-body">
                <div class="div_tab row">
                    <div class="col-12">
                        <h4>مشخصات</h4>
                        @Html.BsEditorFor(model => model.Name)
                        @Html.BsEditorFor(model => model.AlternativeName)
                        @Html.CKEditorFor(model => model.Description, Url.Action("HtmlEditor", "Media"))
                        <div class="seoLoading"></div>
                        <div class="seoResult">
                            @Html.Action("CheckSEO", new AddEditCurrencyTypeViewModel())
                        </div>
                        @Html.BsEditorFor(model => model.UnitSign)
                        @Html.BsEditorFor(model => model.UnitSignIsAfter)
                        @Html.EnumDropDownListFor(model => model.Type)
                    </div>
                    <hr />
                    <div class="col-12">
                        <h4>تصویر</h4>
                        <div class="form-group">
                            <label class="control-label col-2">تصویر</label>
                            <div id="ImagePath_jasnyUpload" class="fileinput fileinput-new" data-provides="fileinput">
                                <div class="fileinput-new thumbnail" style="width: 466px; height: 231px;">
                                    <img data-src="@Model.MediaUrl" src="@Model.MediaUrl">
                                </div>
                                <div class="fileinput-preview fileinput-exists thumbnail" style="max-width: 466px; max-height: 231px;"></div>
                                <div>
                                    <span class="btn btn-secondary btn-file">
                                        <span class="fileinput-new">انتخاب تصویر</span>
                                        <span class="fileinput-exists">تغییر</span>
                                        <input id="ImagePath_jasnyFile" name="ImagePath_jasnyFile" type="file">
                                    </span>
                                    <a href="#" class="btn btn-secondary fileinput-exists" data-dismiss="fileinput">حذف</a>
                                </div>
                                @Html.HiddenFor(m => m.MediaUrl)
                                @Html.HiddenFor(m => m.MediaId)
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="col-12">
                        <h4>تنظیمات</h4>
                        @Html.BsEditorFor(model => model.Url)
                        @Html.BsEditorFor(model => model.MinimumReceiveAmount)
                        @Html.BsEditorFor(model => model.Disabled)
                        @Html.BsEditorFor(model => model.Available)
                        @Html.BsEditorFor(model => model.Step)
                        @Html.BsEditorFor(model => model.IsFiat)
                        <h4>Memo/Tag/Description</h4>
                        @Html.BsEditorFor(model => model.HasMemo)
                        @Html.BsEditorFor(model => model.MemoName)
                        @Html.CKEditorFor(model => model.MemoDescription)
                    </div>
                    <hr />
                </div>
            </div>
        </div>
        <div class="box-footer">
            <input type="submit" value="ثبت" class="btn btn-lg btn-success float-left" />
            @Html.ActionLink("بازگشت به لیست", "Index", null, new { @class = "float-right btn btn-secondary" })
        </div>
    </div>
</div>

@Html.Script(@<script type="text/javascript">
    var uploadUrl = "@Url.Action("Upload", "Media")";
    var checkSeoUrl = "@Url.Action("CheckSEO")";
    </script>)
@Html.Script(@<script type="text/javascript" src="~/Plugins/jasny-bootstrap/js/jasny-bootstrap.min.js"></script>)
@Html.Script(@<script src="~/Plugins/select2/dist/js/select2.min.js"></script>)
@Html.Script(@<script src="~/Scripts/Pages/Currency/AddOrEdit.js"></script>)